%define		own	asterisk
%define		grp	asterisk
%define		sown	root
%define		sgrp	root
%define		rawname	queues

Name:		freepbx-%{rawname}
Version:	17.0.1.13
Release:	1%{?dist}
Summary:	Queues

License:	See Freepbx Readme
Source0:	https://mirror.freepbx.org/modules/packages/%{rawname}/%{rawname}-%{version}.tgz

Requires:	freepbx-recordings >= 3.3.8
Requires:	freepbx-core >= 13.0.22

Provides:	freepbx-%{rawname} = %{version}-%{release}

BuildArch:	noarch

%description
Creates a queue where calls are placed on hold and answered on a first-in, first-out basis. Many options are available, including ring strategy for agents, caller announcements, max wait times, etc.

%prep
%setup -q -n %{rawname}

# Controlliamo la eventuale presenza di particolarita' da gestire
for ddd in sbin etc astetc images sounds moh hooks ; do
	[ -e $ddd ] && echo presente $ddd, va gestito && exit 1
done

# Non mi va di lanciare gpg a destra e a manca, solo per venire a sapere che ho modificato i moduli
%{__rm} module.sig

# Delete backup files
find . -name '*.orig' -exec rm '{}' ';'
find . -name '.git*' -exec rm -rf '{}' ';'

# fix dir perms
find . -type d -exec chmod 755 '{}' ';'
find . -type f -exec chmod 644 '{}' ';'
#find . -type f -regex '.*\.\(php\|html\)$' -exec chmod 644 '{}' ';'

%install
%{__install} -d %{buildroot}%{_datadir}/asterisk/agi-bin
%{__install} -m0755 agi-bin/* %{buildroot}%{_datadir}/asterisk/agi-bin

%{__install} -d %{buildroot}%{_datadir}/asterisk/bin
%{__install} -m0755 bin/* %{buildroot}%{_datadir}/asterisk/bin

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/assets
%{__ln_s} %{_datadir}/freepbx/admin/modules/%{rawname}/assets %{buildroot}%{_datadir}/freepbx/admin/assets/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}
%{__cp} -aR `ls | egrep -v '^(agi-bin|bin|etc|sounds|moh|images|LICENSE|README.md)'` %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc README.md
%defattr(0644,%{sown},%{sgrp},0755)

%attr(0755,%{sown},%{sgrp}) %{_datadir}/asterisk/agi-bin/*
%attr(0755,%{sown},%{sgrp}) %{_datadir}/asterisk/bin/*
%{_datadir}/freepbx/admin/assets/*
%{_datadir}/freepbx/admin/modules/%{rawname}

%changelog
* Mon Dec 02 2024 Luigi Iotti <asterisk@iotti.biz> - 17.0.1.13
- Updated version

* Thu Aug 29 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.28
- Updated version

* Fri Jan 19 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.27
- Updated version

* Thu Apr 13 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.26
- Updated version

* Mon Apr 03 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.25
- Updated version

* Thu Mar 23 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.24
- Updated version

* Thu Feb 09 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.20
- Updated version

* Mon Dec 05 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.19
- Updated version

* Wed Jun 01 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.18
- Updated version

* Wed Jan 19 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.14
- Initial build
